/* ------------------------------------------------------------------------ *\
 * $Id: vnavmn.vs,v 1.2 92/07/29 14:37:05 bobdavis Stab Locker: dave $
 * navigator menus
 *
 * Author: Bob Davis for George Deak
 * Just ask George.
 *
 * Copyright (c) 1992 by Viewlogic Systems, Inc.
 * Change log omitted to avoid huge comments.
\* ------------------------------------------------------------------------ */
SearchForMenu := vcWv.make_menu("Search For",
                                list("Nets",       SearchForNetCmd),
                                list("Components", SearchForComponentCmd),
                                list("RefDes's",   SearchForRefDesCmd),
                                list("Pins",       SearchForPinCmd));

MainMenu := vcWv.make_menu("Navigator",
                           vcWin.RedSquareEntry,
                           list("Design", DesignCmd),
                           list("Search", SearchForMenu),
                           list("Track",  TrackCmd),
                           list("Prefs",  PrefsCmd));

vcFac.set_menus(fac, MainMenu);

PopupMenu := MainMenu;          /* equivalent to main menu for now */

PopupMenuCmd := vcWv.Cmd(fac, func(d, e)
                         vcMenuPop.create(PopupMenu, e);, "PopUp");
vcCmd.EnableMacro(PopupMenuCmd, vlOnOff.Off);
