/*
 *  $Revision: 1.15.7.1 $
 *
 *  Viewscript UI definition for the Core vcDrag facility.
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

cancel_cmd := vcWv.Cmd (fac, cancel, "cancel");

/*
 * popup_menu := vcWv.make_menu ("cancel", list ("Cancel", cancel_cmd));
 *                                    
 * menu_cmd := vcWv.Cmd (fac,
 *                      func(d, e)
 *                          vcMenuPop.create (popup_menu, e););
 */

move_cmd := vcWv.Cmd (fac, move);

finish_cmd := vcWv.Cmd (fac, finish);

/* vcBind.Set (bindings, '\middledown', finish_cmd); */

_BuiltinCreate := Create;

function Create(event, area, color, action, style, p1, p2, check_event) {
    ch := vcWv.UnAlt (vcWv.UnCtrl (vcWv.UnShift (vcEvent.Ch (event))));

    vcBind.Clear (bindings);

    if      (ch == '\leftdown')   vcBind.Set (bindings, '\leftup', finish_cmd);
    else if (ch == '\middledown') vcBind.Set (bindings,'\middleup',finish_cmd);
    else if (ch == '\rightdown')  vcBind.Set (bindings, '\rightup',finish_cmd);

    ch = '\middledown';
    vcBind.Set (bindings, vcWv.Shift (ch),                    finish_cmd);
    vcBind.Set (bindings, vcWv.Ctrl (ch),                     finish_cmd);
    vcBind.Set (bindings, vcWv.Shift (vcWv.Ctrl (ch)),        finish_cmd);
    vcBind.Set (bindings, vcWv.Alt (ch),                      finish_cmd);
    vcBind.Set (bindings, vcWv.Alt (vcWv.Shift (ch)),         finish_cmd);
    vcBind.Set (bindings, vcWv.Alt (vcWv.Ctrl (ch)),          finish_cmd);
    vcBind.Set (bindings, vcWv.Alt (vcWv.Shift (vcWv.Ctrl (ch))),
                finish_cmd);

    vcBind.Set (bindings, ch,                                     finish_cmd);
    vcBind.Set (bindings, '\move', move_cmd);
    vcBind.Set (bindings, '\rightdown', cancel_cmd);
    _BuiltinCreate (event, area, color, action, style, p1, p2, check_event);
} /* function Create */

function create(event, area, color, action, style, p1, p2)
    Create (event, area, color, action, style, p1, p2, nil);
