;;;;
;;;; $RCSfile: vllmdb.scm,v $ $Revision: 1.11 $
;;;;
;;;; DESCRIPTION
;;;;      Viewlogic Library Management (VLLM) class definition file.
;;;;
;;;; Copyright (c) 1994,1995 by Viewlogic Systems, Inc.
;;;;


(vdm|ClassFileSetVersion class_file 1.0)


(let ((vdbclass
       (vdm|ClassCreate "ViewDB" class_file
            `(AttrList         . ("NAME"))
            `(AttrFilter       . (".*"))
            `(Editor           . ,vdmEditDefault)
            `(NameTemplate     . "$NAME.vdb")
            `(PhysicalTemplate . "$NAME.vdb")
            `(Type             . ,vdmClassType|File))))
  (if (isbound 'vllm nil)
      (vdm|ClassSetAttr vdbclass "_Read" vllm|ReadVdb #F))
  (if (isbound 'vllm nil)
      (vdm|ClassSetAttr vdbclass "_Write" vllm|WriteVdb #F)))

(let ((dirclass
       (vdm|ClassCreate "ViewDir" class_file
            `(AttrList         . ("NAME"))
            `(AttrFilter       . (".*"))
            `(NameTemplate     . "$NAME")
            `(PhysicalTemplate . "$NAME")
            `(Type             . ,vdmClassType|Dir))))
  (if (isbound 'vllm nil)
      (vdm|ClassSetAttr dirclass "_Read" vllm|ReadVdb #F)))

(let ((parclass
       (vdm|ClassCreate "PAR" class_file
            `(AttrList         . ("NAME"))
            `(AttrFilter       . (".*"))
            `(Editor           . ,vdmEditDefault)
            `(NameTemplate     . "$NAME.par")
            `(PhysicalTemplate . "$NAME.par")
            `(Type             . ,vdmClassType|File))))
  (if (isbound 'vllm nil)
      (vdm|ClassSetAttr parclass "_Read" vllm|ReadPar #F))
  (if (isbound 'vllm nil)
      (vdm|ClassSetAttr parclass "_Write" vllm|WritePar #F)))

