function CreatePrePackCheckpoint(location, design ...)

class := vdm.CntxFindClass(cntx, "PrePack");
obj := vdm.ObjCreate(design, vdm.VersLatest, class, 
                     location, cntx, nil /* other attributes */);

vdraw_class := vdm.CntxFindClass(cntx, "ViewDraw Design");
vdraw_obj := vdm.ObjCreate(design, vdm.VersLatest, vdraw_class, 
                     location, cntx, nil /* other attributes */);
vdm.CollCompose(vdraw_obj);

vdm.CollCompose(obj);
}
function PrePackColComposeFunc(cntx, obj) {
    vdraw_class := vdm.CntxFindClass(cntx, "ViewDraw Design");
    vdraw_obj := vdm.ObjCreate(design, vdm.VersLatest, vdraw_class, 
                     nil, cntx, nil /* other attributes */);
    location := vdm.ObjGetLocation(obj);
    if (!vdm.ObjFind(vdraw_obj, nil, location))
    vlEx.Throw(asdfasdf;kj);

    return_list := list(vdraw_obj);
    wir_class := vdm.CntxFindClass(cntx, "Wir");
    foreach(member; vdm.CollLoopMember(vdraw_obj)) {
        declare class, block, sheet, location;
        // if schem, 
            class = vdm.ObjGetClass(member);
            class_name := vdm.ClassGetName(class);
            if (equal(class_name, "Schematic"))
                block = vdm.ObjGetAttr(member, "BLOCK");
                sheet = vdm.ObjGetAttr(member, "SHEET");
                location = vdm.ObjGetLocation(member);
                wir_obj = vdm.ObjCreate(block + "." + sheet, 
                                        vdm.VersLatest, wir_class, 
                                    location, cntx, list(cons(`BLOCK, block),
                                                         cons(`SHEET, sheet)));

                return_list = cons(wir_obj, return_list);
    }
    return return_list;
}
