/*
 *
 *  Viewscript UI definitions for the Core vcRadioBox facility.
 *
 */

moveup_cmd := vcWv.Cmd (fac, 
                         func (box, ev)
                         {
                             moveup (box, ev);
                         }, "moveup");


movedown_cmd := vcWv.Cmd (fac, 
                         func (box, ev)
                         {
                             movedown (box, ev);
                         }, "movedown");

fire_cmd := vcWv.Cmd (fac, 
                         func (box, ev)
                         {
                             fire (box, ev);
                         }, "fire");

vcCmd.EnableMacro (moveup_cmd, vlOnOff.Off);
vcCmd.EnableMacro (movedown_cmd, vlOnOff.Off);
vcCmd.EnableMacro (fire_cmd, vlOnOff.Off);

vcBind.Set (bindings, '\down', movedown_cmd);
vcBind.Set (bindings, '\left', movedown_cmd);
vcBind.Set (bindings, '\up', moveup_cmd);
vcBind.Set (bindings, '\right', moveup_cmd);
vcBind.Set (bindings, ' ', fire_cmd);
