/*
 * Name: VDRAWHT.VS
 *
 * Facility: VDRAW
 * 
 * Functional Description: 
 *    Viewscript file for Viewdraw
 *
 * Environment:
 *     SunOS 4.1 & CORE 5.0
 *     
 * Author:  
 *       HMM
 *
 * Modified by: 
 * Who            Version   When      What
 * HMM            1.0       08-Nov-91 Original coding    
 *
 * 
 * (c) Copyright 1991, 1992 by Viewlogic Systems, Inc.
 */

vcCmd.SetHelp (cmodes_cmd,      "Set Viewdraw default characteristics");
vcCmd.SetHelp (cvalues_cmd,     "Set Viewdraw parameter values");
vcCmd.SetHelp (sdist_cmd,       "Set selection distance");
vcCmd.SetHelp (sattr_cmd,       "Select attribute(s) by string match");
vcCmd.SetHelp (scomp_cmd,       "Select component(s) by component type");
vcCmd.SetHelp (slabel_cmd,      "Select label(s)");
vcCmd.SetHelp (sname_cmd,       "Select object(s) by UID or label");
vcCmd.SetHelp (spinname_cmd,    "Select pin by using UID or label in format <comp>.<pin>");
vcCmd.SetHelp (sfastname_cmd,   "Select object(s) by UID or label, ignoring pass-thru pins");
vcCmd.SetHelp (stext_cmd,       "Select text by string match");
vcCmd.SetHelp (svalue_cmd,      "Select object(s) with a known attribute value");
/* #if (ENH_OAT) */
vcCmd.SetHelp (sarray_cmd,      "Select specified component array element");
vcCmd.SetHelp (snarray_cmd,     "Select next component array element");
vcCmd.SetHelp (sparray_cmd,     "Select prev component array element");
/* #endif */
vcCmd.SetHelp (full_cmd,        "Display entire drawing sheet");
vcCmd.SetHelp (zoom_cmd,        "Display a specified area");
vcCmd.SetHelp (in_cmd,          "Zoom in from the cursor location");
vcCmd.SetHelp (out_cmd,         "Zoom out from the cursor location");
vcCmd.SetHelp (pan_cmd,         "Pan using the mouse cursor");
vcCmd.SetHelp (scroll_cmd,      "Scroll using the mouse cursor");
vcCmd.SetHelp (zselect_cmd,     "Display the selected object(s)");
vcCmd.SetHelp (con_cmd,         "Turn the context window on");
vcCmd.SetHelp (refresh_cmd,     "Refresh the screen");
vcCmd.SetHelp (color_cmd,       "Change the color of the selected object(s)");
vcCmd.SetHelp (fstyle_cmd,      "Change the fill pattern of the selected object(s)");
vcCmd.SetHelp (font_cmd,        "Change the text font of the selected text, label or attribute");
vcCmd.SetHelp (lstyle_cmd,      "Change the line pattern of the selected object(s)");
vcCmd.SetHelp (origin_cmd,      "Change the origin of the selected text, label, or attribute");
vcCmd.SetHelp (size_cmd,        "Change the size of the selected text, label, or attribute");
vcCmd.SetHelp (chglabstring_cmd,  "Change the string of the selected labels");
/* #if (ENH_OAT) */
vcCmd.SetHelp (chgoattrstring_cmd, "Change the string of the selected occurrence attributes");
/* #endif */
vcCmd.SetHelp (chgattrstring_cmd, "Change the string of the selected attributes");
vcCmd.SetHelp (chgtextstring_cmd, "Change the string of the selected text");
vcCmd.SetHelp (string_cmd,        "Change the string of the selected text, labels, or attributes");
vcCmd.SetHelp (reflect_cmd,     "Make a mirror image of the selected object(s)");
vcCmd.SetHelp (rotate_cmd,      "Rotote the selected object(s) in 90 degree increments about the cursor.");
vcCmd.SetHelp (scale_cmd,       "Magnify or reduce the selected object(s)");
vcCmd.SetHelp (labelvis_cmd,    "Make the selected label(s) visible or invisible");
vcCmd.SetHelp (lscope_cmd,      "Make the selected label GLOBAL or LOCAL");
vcCmd.SetHelp (cattr_all_cmd,   "Edit all attributes on the selected object");
vcCmd.SetHelp (cattr_pcb_cmd,   "Edit PCB related attributes on the selected object");
vcCmd.SetHelp (cattr_spice_cmd,   "Edit SPICE related attributes on the selected object");
vcCmd.SetHelp (attrvis_cmd,     "Make the selected attribute(s) visible or invisible");
vcCmd.SetHelp (name_cmd,        "Change the name of the selected attribute");
vcCmd.SetHelp (value_cmd,       "Change the value of the selected attribute");
vcCmd.SetHelp (asize_cmd,       "Change the sheet size to `A' (8.5x11)");
vcCmd.SetHelp (bsize_cmd,       "Change the sheet size to `B' (17x11)");
vcCmd.SetHelp (csize_cmd,       "Change the sheet size to `C' (17x22)");
vcCmd.SetHelp (dsize_cmd,       "Change the sheet size to `D' (34x22)");
vcCmd.SetHelp (esize_cmd,       "Change the sheet size to `E' (34x44)");
vcCmd.SetHelp (a4_size_cmd,     "Change the sheet size to `A4'");
vcCmd.SetHelp (a3_size_cmd,     "Change the sheet size to `A3'");
vcCmd.SetHelp (a2_size_cmd,     "Change the sheet size to `A2'");
vcCmd.SetHelp (a1_size_cmd,     "Change the sheet size to `A1'");
vcCmd.SetHelp (a0_size_cmd,     "Change the sheet size to `A0'");
vcCmd.SetHelp (zsize_cmd,       "Define a new sheet size");
vcCmd.SetHelp (btype_cmd,       "Change the current symbol to composite, module, pin, or annotation");
vcCmd.SetHelp (ccomp_cmd,       "Replace the selected component(s) with a different component");
vcCmd.SetHelp (bcut_cmd,        "Copy the selected object(s) into the buffer and delete from the drawing");
vcCmd.SetHelp (bcopy_cmd,       "Copy the selected object(s) into the buffer");
vcCmd.SetHelp (bpaste_cmd,      "Paste the buffer contents into the current drawing");
vcCmd.SetHelp (bappend_cmd,     "Add the selected object(s) to the buffer");
vcCmd.SetHelp (move_cmd,        "Move the selected object(s)");
vcCmd.SetHelp (delete_cmd,      "Delete the selected object(s)");
vcCmd.SetHelp (undo_cmd,        "Backup one or more operations");
vcCmd.SetHelp (redo_cmd,        "Retrace un-done operations");
vcCmd.SetHelp (copy_cmd,        "Copy the selected object(s) on the same drawing");
vcCmd.SetHelp (stretch_cmd,     "Edit a line, arc, box, or circle");
vcCmd.SetHelp (array_cmd,       "Make multiple copies of the selected object(s)");
vcCmd.SetHelp (arc_cmd,         "Draw an arc");
vcCmd.SetHelp (box_cmd,         "Draw a box");
vcCmd.SetHelp (circle_cmd,      "Draw a circle");
vcCmd.SetHelp (line_cmd,        "Draw a line");
vcCmd.SetHelp (text_cmd,        "Add annotation text");
/* #if (ENH_OAT) */
vcCmd.SetHelp (oattr_cmd,        "Add an occurrence attribute to the selected object(s)");
/* #endif */
vcCmd.SetHelp (attr_cmd,        "Add an attribute to the selected object(s)");
vcCmd.SetHelp (bus_cmd,         "Draw a bus");
vcCmd.SetHelp (comp_cmd,        "Add a component to a schematic");
vcCmd.SetHelp (do_comp_cmd,     "Add a component to a schematic");
vcCmd.SetHelp (label_cmd,      "Add a label to the selected net, component, or pin");
vcCmd.SetHelp (label_from_buffer_cmd,   "Add the next label in the label buffer");
vcCmd.SetHelp (net_cmd,         "Draw a net (electrical connection)");
vcCmd.SetHelp (pin_cmd,         "Add a pin to a symbol");
vcCmd.SetHelp (dsch_cmd,        "List all schematics");
vcCmd.SetHelp (dsym_cmd,        "List all symbols");
vcCmd.SetHelp (dir_cmd,         "List all symbols and schematics in use");
vcCmd.SetHelp (odetail_cmd,     "Show all characteristics of the selected object(s)");
vcCmd.SetHelp (ocount_cmd,      "Count the number of selected objects");
vcCmd.SetHelp (alist_cmd,       "List all attributes on the selected object(s)");
vcCmd.SetHelp (llist_cmd,       "List all labels on the selected object(s)");
vcCmd.SetHelp (status_cmd,      "Show current Viewdraw status");
vcCmd.SetHelp (schematic_cmd,   "Open a new schematic window");
vcCmd.SetHelp (symbol_cmd,      "Open a new symbol window");
vcCmd.SetHelp (check_cmd,       "Check the current sheet for errors");
vcCmd.SetHelp (savepin_cmd,     "");
vcCmd.SetHelp (psch_cmd,        "Display the schematic for the selected component or current symbol");
vcCmd.SetHelp (psym_cmd,        "Display the symbol for the selected component or current schematic");
vcCmd.SetHelp (psheet_cmd,      "Display the next sheet of this drawing");
vcCmd.SetHelp (pop_cmd,         "Return to the previous drawing");
vcCmd.SetHelp (read_cmd,        "Reread the current schematic or symbol from disk");
vcCmd.SetHelp (write_cmd,       "Save the current drawing");
vcCmd.SetHelp (writeto_cmd,     "Save the current drawing to a different file");
vcCmd.SetHelp (restore_cmd,     "Backup one version of this drawing");
/* vcCmd.SetHelp (noop_cmd,        "Not Yet Implemented"); */
vcCmd.SetHelp (do_fast_draw_cmd,   "Allow menu-less operation for moving and drawing");
vcCmd.SetHelp (levelpush_cmd,   "Level push");
