/*
 *      Viewlogic Proprietary Information
 *
 *      Copyright (c) 1993 by Viewlogic Systems, Inc.
 */

vcFac.Create ("vdrc", vscmVT);

function run_drc(data, event, design)
    vcWin.Create (vcRegion.Create ("DRC " + design, vdrc.fac, design));

drc_cmd := vcWv.Cmd (fac, run_drc, "drc", "Invoke ViewDRC on Design",
                     vcWv.Param ("Design", vlStringVT, vcWv.Dynamic,
                                 getdesignname));
vcCmd.SetHelp (drc_cmd, "Invoke the Online Design Rule Checker");
vcMenu.AppendEntry (util_menu, "ViewDRC", drc_cmd);
