/*
 *  $Revision: 1.32.4.1 $
 *
 *  Viewscript UI definitions for the Core vcMenuPop facility.
 *
 *  Copyright (c) 1992 by Viewlogic Systems, Inc.
 */

/*
 * For upward compatibility.
 */
if (isbound (`Create, vcMenuPop))
    create := Create;
else
    Create :=create;

/*
 * F10 is also bound in vcWin.vs to vcMenuPop.MenuBar().
 * Put it here too, in case we're running under a facility that
 * usurps F10, so it works at least when the menus have focus.
 */
/*vcBind.Set (bindings, '\F10',   vcWv.Cmd (fac, MenuBar));*/
vcBind.Set (bindings, '\e',     vcWv.Cmd (fac, Cancel));
vcBind.Set (bindings, '\up',    vcWv.Cmd (fac, up));
vcBind.Set (bindings, '\down',  vcWv.Cmd (fac, down));
vcBind.Set (bindings, '\left',  vcWv.Cmd (fac, left));
vcBind.Set (bindings, '\right', vcWv.Cmd (fac, right));

execute_cmd := vcWv.Cmd (fac, execute);
/*vcBind.set (bindings, ' ',      execute_cmd);*/  /* KSelect, virtually */
vcBind.Set (bindings, '\enter', execute_cmd);  /* KActivate, virtually */

/*
debug := FALSE;
vcBind.Set (bindings, '\_\^\F1', vcWv.Cmd (fac, func(mp, e) debug = !debug;));
*/

down_cmd := vcWv.Cmd (fac, MouseDown, "MenuDown");
vcCmd.EnableMacro (down_cmd, FALSE);
up_cmd := vcWv.Cmd (fac, MouseUp, "MenuUp");
vcCmd.EnableMacro (up_cmd, FALSE);
move_cmd := vcWv.Cmd (fac, MouseMove, "MenuMove");
vcCmd.EnableMacro (move_cmd, FALSE);

vcBind.Set (bindings, '\leftdown', down_cmd);
vcBind.Set (bindings, '\rightdown', down_cmd);
vcBind.Set (bindings, '\leftup', up_cmd);
vcBind.Set (bindings, '\rightup', up_cmd);
vcBind.Set (bindings, '\move', move_cmd);

