/*
 * Run ViewDRC's GUI from the cockpit
 */

if (!isbound (`vdrc, current_package ())) {
    vcFac.Create ("vdrc", vscmVT);
    function vdrcRun() {
        /* Find a window, preferably the viewframe window */
        window := nil;
        region := nil;
        foreach (w; vcWin.Loop ()) {
            window = w;
            region = vcWin.OwnerRegion (w);
            if (vcRegion.Fac (region) == vframe.fac)
                break;
        } /* foreach */

        if (window != nil) {
            event := vcEvent.Create (0, 0, '0', "", window, region, nil);
            vcCmd.Run (vdrc.drc_cmd, window, event, nil, TRUE);
        } /* if */
    } /* function vdrcRun */
} /* if */

vdrcRun ();
