use work.pack_t.all;

entity vt2 is
  port (clk : in vlbit);
    
end;


architecture make_stacks of vt2 is 

begin 

adding: process 
    variable A : stack;
    variable t : ssinteger := 2;
begin
    if (now = 0 ns) then
        A.id := 'A';
        A.sp := 0;
        wait for 1 ns;
    end if;

    for i in 1 to t loop
       push(A,(t - i));
    end loop;
    push(A,2);
    for i in 1 to t loop
        add(A);
    end loop;
    print(A);
    pop(A,t);
    if (t > top_stack) then
        t := t - top_stack;
    end if;
    wait until (clk = '1');
end process;
end;
